QGIS Application - Bug report #7099
print composer's legend item improperly calculates its right-side box spacing
2013-02-05 01:02 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16180
Description

Under QGIS master, the print composer's legend item improperly calculates its right-side box spacing as it fails to take into account the
icon label space value.

If the icon label space value is set to 0.00 mm, the legend object will have equal box spacing on all sides. If you increase the icon label
space value, the box spacing on the right side diminishes, until text pushed beyond the legend's box width. The attached screenshot

demonstrates this issue.

Not sure whether it's a regression. | have a feeling it is, but didn't try on a QGIS 1.8 build to confirm.

Associated revisions

Revision 99dd1da2 - 2013-03-13 11:12 AM - Radim Blazek

composer legend width fix, fixes #7099

History

#1 - 2013-02-05 12:07 PM - Giovanni Manghi
- Target version set to Version 2.0.0
- Priority changed from Normal to Severe/Regression

- Category set to 33

Confirmed, is a regression.

#2 - 2013-02-18 07:40 PM - Mathieu Pellerin - nIRV

| believe this regressed as part of commits which implemented the nice legend's multicolumn feature.

#3 - 2013-03-13 03:13 AM - Radim Blazek
- Status changed from Open to Closed

Fixed in changeset commit:"99dd1da2f0d9b450c3dbafeb2db61c3c278db141".
